%define major 10
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	An SSL library
Name:		mbedtls
Version:	2.6.0
Release:	%mkrel 1
License:	ASL 2.0
Group:		System/Libraries
URL:		https://tls.mbed.org
Source0:	https://tls.mbed.org/download/%{name}-%{version}-apache.tgz

Obsoletes:	polarssl < 1.3.16-1
Provides:	polarssl = %{version}-%{release}

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	pkgconfig(libpkcs11-helper-1)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(openssl)

%description
mbed TLS (formerly known as PolarSSL) is an SSL library written in ANSI C.
mbed TLS makes it easy for developers to include cryptographic and SSL/TLS
capabilities in their (embedded) products with as little hassle as possible.
It is designed to be readable, documented, tested, loosely coupled and
portable.

This package contains mbed TLS programs.

%package -n	%{libname}
Summary:	mbed TLS library
Group:		System/Libraries

%description -n	%{libname}
mbed TLS (formerly known as PolarSSL) is an SSL library written in ANSI C.
mbed TLS makes it easy for developers to include cryptographic and SSL/TLS
capabilities in their (embedded) products with as little hassle as possible.
It is designed to be readable, documented, tested, loosely coupled and
portable.

This package contains the library itself.

%package -n	%{develname}
Summary:	mbed TLS development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	mbedtls-devel = %{version}
Provides:	polarssl-devel = %{version}
Obsoletes:	%{_lib}polarssl-devel < 1.3.16-1

%description -n	%{develname}
mbed TLS (formerly known as PolarSSL) is an SSL library written in ANSI C.
mbed TLS makes it easy for developers to include cryptographic and SSL/TLS
capabilities in their (embedded) products with as little hassle as possible.
It is designed to be readable, documented, tested, loosely coupled and
portable.

This package contains development files.

%prep
%setup -q

# Enable MBEDTLS_THREADING_PTHREAD and MBEDTLS_THREADING_C flags
# https://bugs.mageia.org/show_bug.cgi?id=15391#c4
sed -i -e 's|.*\(#define MBEDTLS_THREADING_C\)|\1|' \
	-e 's|.*\(#define MBEDTLS_THREADING_PTHREAD\)|\1|' \
	include/mbedtls/config.h

%build
%cmake \
	-DUSE_SHARED_MBEDTLS_LIBRARY:BOOL=ON \
	-DUSE_PKCS11_HELPER_LIBRARY:BOOL=ON

%make_build
%make_build apidoc

%check
%make_build check

%install
%make_install -C build

# prevent possible file clashes
pushd %{buildroot}%{_bindir}
    for i in * ; do mv ${i} mbedtls-${i}; done
popd

rm -f %{buildroot}%{_libdir}/*.a

%files
%doc ChangeLog README*
%{_bindir}/%{name}-*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/libmbedcrypto.so.%{version}
%{_libdir}/libmbedcrypto.so.0
%{_libdir}/libmbedx509.so.%{version}
%{_libdir}/libmbedx509.so.0

%files -n %{develname}
%doc apidoc/*
%{_libdir}/libmbed*.so
%{_includedir}/%{name}/


%changelog
* Thu Dec 28 2017 luigiwalser <luigiwalser> 2.6.0-1.mga6
+ Revision: 1186337
- 2.6.0

* Thu Mar 23 2017 luigiwalser <luigiwalser> 2.4.2-1.mga6
+ Revision: 1094596
- 2.4.2 (fixes CVE-2017-2784)

* Sun Jan 22 2017 akien <akien> 2.4.0-1.mga6
+ Revision: 1083018
- Version 2.4.0
- Version 2.2.1, major 10
- Package ASL 2.0 version instead of GPLv2+

* Tue Jul 05 2016 luigiwalser <luigiwalser> 1.3.17-1.mga6
+ Revision: 1039028
- 1.3.17

* Thu Jan 14 2016 luigiwalser <luigiwalser> 1.3.16-1.mga6
+ Revision: 923139
- library major is now 9
- 1.3.16 (mga#17187)

* Tue Jan 12 2016 luigiwalser <luigiwalser> 2.2.1-1.mga6
+ Revision: 922231
- 2.2.1

* Mon Nov 16 2015 oden <oden> 2.2.0-2.mga6
+ Revision: 903639
- the polarssl -> mbedtls switch was simply premature...

* Mon Nov 16 2015 oden <oden> 2.2.0-1.mga6
+ Revision: 903624
- imported package mbedtls


* Mon Nov 16 2015 Oden Eriksson <oe@nux.se> 2.2.0-1
- polarssl was renamed to mbedtls

* Sat Mar 07 2015 wally <wally> 1.3.9-3.mga5
+ Revision: 817960
- build with POLARSSL_THREADING_PTHREAD and POLARSSL_THREADING_C flags enabled (mga#15391)
- add BuildRequires for graphviz

* Wed Feb 04 2015 luigiwalser <luigiwalser> 1.3.9-2.mga5
+ Revision: 813438
- add upstream patch to fix CVE-2015-1182

* Fri Nov 14 2014 luigiwalser <luigiwalser> 1.3.9-1.mga5
+ Revision: 797260
- 1.3.9 (fixes CVE-2014-8627 and CVE-2014-8628)

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-3.mga5
+ Revision: 739124
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.8-2.mga5
+ Revision: 687708
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 oden <oden> 1.3.8-1.mga5
+ Revision: 658539
- do not package libpolarssl.a
- 1.3.8 (CVE-2014-4911)
- new major (7)
- drop the make_check_fixes patch, fixed upstream

* Sat Feb 08 2014 oden <oden> 1.3.4-1.mga5
+ Revision: 585843
- 1.3.4 (Security: Missing MPI_CHK calls added around unguarded mpi calls (found by TrustInSoft)
- 1.3.3 (Security: Possible remotely-triggered out-of-bounds memory access fixed (found by TrustInSoft))

* Tue Oct 22 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 546175
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 oden <oden> 1.3.1-1.mga4
+ Revision: 502136
- 1.3.1

* Tue Oct 15 2013 oden <oden> 1.3.0-1.mga4
+ Revision: 500388
- 1.3.0

* Tue Sep 24 2013 oden <oden> 1.2.8-1.mga4
+ Revision: 484752
- 1.2.8 (fixes CVE-2013-4623)
- 1.2.6 fixed CVE-2013-0169, CVE-2013-1621

* Sat Feb 09 2013 oden <oden> 1.2.5-1.mga3
+ Revision: 397517
- 1.2.5 (fixes CVE-2013-1621)

* Fri Jan 18 2013 oden <oden> 1.2.3-1.mga3
+ Revision: 389394
- imported package polarssl

* Fri Jan 18 2013 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1
- initial Mageia package
